Update the learned AI profile
import requests
url = "https://platform.ankra.app/api/v1/org/ai-memory/profile"
payload = {
"profile": {
"communication_style": "<string>",
"verbosity": "<string>",
"expertise_level": "<string>",
"expertise_areas": ["<string>"],
"preferred_tools": ["<string>"],
"workflows": ["<string>"],
"interests": ["<string>"],
"notes": ["<string>"]
},
"learning_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profile: {
communication_style: '<string>',
verbosity: '<string>',
expertise_level: '<string>',
expertise_areas: ['<string>'],
preferred_tools: ['<string>'],
workflows: ['<string>'],
interests: ['<string>'],
notes: ['<string>']
},
learning_enabled: true
})
};
fetch('https://platform.ankra.app/api/v1/org/ai-memory/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/ai-memory/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile": {
"communication_style": "<string>",
"verbosity": "<string>",
"expertise_level": "<string>",
"expertise_areas": [
"<string>"
],
"preferred_tools": [
"<string>"
],
"workflows": [
"<string>"
],
"interests": [
"<string>"
],
"notes": [
"<string>"
]
},
"learning_enabled": true
}
'{
"profile": {
"communication_style": "<string>",
"verbosity": "<string>",
"expertise_level": "<string>",
"expertise_areas": [
"<string>"
],
"preferred_tools": [
"<string>"
],
"workflows": [
"<string>"
],
"interests": [
"<string>"
],
"notes": [
"<string>"
]
},
"learning_enabled": true,
"turns_observed": 123,
"last_extracted_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI Memory
Update the learned AI profile
Replaces the calling user’s learned profile and/or turns learning on or off; a member left out keeps its stored value.
PUT
/
api
/
v1
/
org
/
ai-memory
/
profile
Update the learned AI profile
import requests
url = "https://platform.ankra.app/api/v1/org/ai-memory/profile"
payload = {
"profile": {
"communication_style": "<string>",
"verbosity": "<string>",
"expertise_level": "<string>",
"expertise_areas": ["<string>"],
"preferred_tools": ["<string>"],
"workflows": ["<string>"],
"interests": ["<string>"],
"notes": ["<string>"]
},
"learning_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profile: {
communication_style: '<string>',
verbosity: '<string>',
expertise_level: '<string>',
expertise_areas: ['<string>'],
preferred_tools: ['<string>'],
workflows: ['<string>'],
interests: ['<string>'],
notes: ['<string>']
},
learning_enabled: true
})
};
fetch('https://platform.ankra.app/api/v1/org/ai-memory/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/ai-memory/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile": {
"communication_style": "<string>",
"verbosity": "<string>",
"expertise_level": "<string>",
"expertise_areas": [
"<string>"
],
"preferred_tools": [
"<string>"
],
"workflows": [
"<string>"
],
"interests": [
"<string>"
],
"notes": [
"<string>"
]
},
"learning_enabled": true
}
'{
"profile": {
"communication_style": "<string>",
"verbosity": "<string>",
"expertise_level": "<string>",
"expertise_areas": [
"<string>"
],
"preferred_tools": [
"<string>"
],
"workflows": [
"<string>"
],
"interests": [
"<string>"
],
"notes": [
"<string>"
]
},
"learning_enabled": true,
"turns_observed": 123,
"last_extracted_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json